package zero1hd.rhythmbullet.audio;

import com.badlogic.gdx.files.FileHandle;

import zero1hd.rhythmbullet.audio.processor.AudioProcessor;

public interface AudioProcessorFactory {
	/**
	 * @return a new {@link #zero1hd.rhythmbullet.audio.processor.AudioProcessor()} from the appropriate platform.
	 */
	public AudioProcessor newMP3AudioProcessor(FileHandle fileHandle);
}
