package zero1hd.rhythmbullet.util;

import com.badlogic.gdx.Screen;

import zero1hd.rhythmbullet.RhythmBullet;

public interface InitialScreen extends ResizeReadyScreen {
	/**
	 * Screen should be created on platform.
	 * @param gameManager the game manager.
	 * @return the screen that is created.
	 */
	public Screen createMainScreen(RhythmBullet gameManager);
	
	/**
	 * Immediately called after the LibGDX instance has been instantiated.
	 */
	public void init();
}
