package zero1hd.rhythmbullet.desktop.audio.processor;

import com.badlogic.gdx.files.FileHandle;

import zero1hd.rhythmbullet.audio.AudioProcessorFactory;
import zero1hd.rhythmbullet.audio.MinimalAudioHeader;
import zero1hd.rhythmbullet.audio.processor.AudioProcessor;

public class DesktopAudioProcessorFactory implements AudioProcessorFactory {
	@Override
	public AudioProcessor newMP3AudioProcessor(FileHandle fileHandle) {
		return new MP3AudioProcessor(fileHandle, new MinimalAudioHeader(fileHandle));
	}
}
